Système d'Axes Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch AxisSystem and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Arch Axis.svg Axes
Page suivante: Grille Arch Grid.svg Arrow-right.svg

Arch AxisSystem.png Système d'Axes

Emplacement du menu
Arch → Axis System
Ateliers
Atelier Architecture
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Axes, Grille


Description

L'outil Système d'Axes vous permet de combiner 2 ou 3 objets Axes.

Ceci est utile pour définir les points d'intersection entre les différents axes. Les objets Arch peuvent ensuite utiliser ce système pour dupliquer leur forme sur les différents points d'intersection.

Arch AxisSystem example.jpg

Trois objets Axes combinés en un Système d'Axes. Un objet Structure utilise ce système comme propriété DATAAxis pour que sa forme soit dupliquée à chaque point d'intersection.


Comment faire

  1. En option, sélectionnez les objets Axes que vous souhaitez inclure dans ce système.
  2. Appuyez sur le bouton Arch Axis System.svg Système d'Axes.
  3. Cliquez avec le bouton droit sur l'objet système d'axes nouvellement créé dans l'arborescence pour ajouter / modifier les objets Axes inclus dans ce système.
  4. Sélectionnez un Axes existant et appuyez sur les boutons Arch Add.svg Arch Add ou Arch Remove.svg Arch Remove pour ajouter ou enlever de ce système.
  5. Définir la propriété DATAAxis de n'importe quel objet Arch pour pointer vers ce système, pour que sa forme soit dupliquée aux points d'intersection de ce système

Options

  • Un même objet Axes Arch peut faire partie de plus d'un système
  • Tout objet basé sur une forme peut également être utilisé comme propriété Axis des objets Arch. Dans ce cas, la forme de l'objet sera dupliquée le long des sommets de l'objet Axe

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil Système d'Axes peut être utilisé dans une macros et depuis la console Python en utilisant la fonction suivante:

AxisSystem = makeAxisSystem(axes, name="Axis System")

Rend un système d'Axes basé sur la liste de Axes Arch

  • Crée un objet AxisSystem à partir de l'objet axes qui est un seul Axes ou une liste d'entre eux.

Exemple:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Axis.svg Axes
Page suivante: Grille Arch Grid.svg Arrow-right.svg